#!/bin/sh


# jessie to stretch

## modify sources
sudo sed -i 's/jessie/stretch/g' /etc/apt/sources.list
sudo sed -i 's/jessie/stretch/g' /etc/apt/sources.list.d/raspi.list
sudo sed -i 's/jessie/stretch/g' /etc/apt/sources.list.d/nodesource.list
sudo rm /etc/apt/sources.list.d/subogero.list

## do upgrade
sudo apt-get update
env DEBIAN_FRONTEND=noninteractive APT_LISTCHANGES_FRONTEND=none sudo apt-get dist-upgrade -y -o Dpkg::Options::='--force-confdef' -o Dpkg::Options::='--force-confold' || true
sudo apt-get install -y fonts-droid-fallback || true

## clean
sudo apt-get -y autoremove || true


# remove unused / conflicts dependencies


sudo apt-get purge -y ntp lxde-core lxappearance lxde-common lxsession lxpanel* firefox-esr mplayer2 pulseaudio* nodejs || true


# pi-gen pooliot modifs


sudo apt-get purge -y ed ncdu build-essential manpages-dev gdb pkg-config python-rpi.gpio v4l-utils \
  luajit nfs-common usbutils libraspberrypi-dev libraspberrypi-doc libfreetype6-dev pi-bluetooth || true
sudo rm /etc/systemd/system/getty@tty1.service.d/noclear.conf || true
sudo cp /etc/wpa_supplicant/ifupdown.sh /etc/ifplugd/action.d/ifupdown

echo "Acquire::http::Timeout \"10\";
Acquire::ftp::Timeout \"10\";" | sudo tee /etc/apt/apt.conf.d/99timeout



# update

## sudo apt-get update
## sudo apt-get install dirmngr debian-keyring debian-archive-keyring

# nodejs
curl -s https://deb.nodesource.com/gpgkey/nodesource.gpg.key | apt-key add -
echo 'deb https://deb.nodesource.com/node_8.x stretch main' | sudo tee /etc/apt/sources.list.d/nodesource.list
echo 'deb-src https://deb.nodesource.com/node_8.x stretch main' | sudo tee -a /etc/apt/sources.list.d/nodesource.list

# pooliot
sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 0277F0B87A84E0BE
echo 'deb http://apt.pooliot.net stable main' | sudo tee /etc/apt/sources.list.d/pooliot-client.list

# update
sudo apt-get update

# install dependencies
sudo apt-get install -y wpasupplicant wireless-tools firmware-atheros firmware-brcm80211 firmware-libertas firmware-misc-nonfree firmware-realtek \
  raspberrypi-net-mods dhcpcd5 net-tools \
  policykit-1 unattended-upgrades \
  rpi-pooliot-client pooliot-client


sudo apt-get install --no-install-recommends -y \
  xserver-xorg-video-fbdev xserver-xorg xinit xserver-xorg-video-fbturbo \
  libgl1-mesa-dri \
  rpi-pooliot-chromium ffmpeg \
  fonts-droid-fallback \
  fonts-liberation2 \
  pooliot-plymouth-theme \
  rpi-pooliot-client-display pooliot-client-display

sudo apt-get install --no-install-recommends -y \
  gstreamer1.0-x gstreamer1.0-omx gstreamer1.0-plugins-base gstreamer1.0-plugins-good gstreamer1.0-plugins-bad gstreamer1.0-alsa gstreamer1.0-libav || true

# config

sudo sed /etc/lightdm/lightdm.conf -i -e "s/^\(#\|\)autologin-user=.*/autologin-user=pi/" || true

# uninstall

sudo rm /etc/systemd/system/pooliot-client.service
sudo mv /etc/pooliot-client/config /etc/default/pooliot-client || true

sudo npm uninstall -g pooliot-client || true
sudo apt-get purge supervisor || true
sudo systemctl enable pooliot-client
